# GetLayerPrecomputedCalculationParams

***

The parameters for calculating a single aggregate value for a layer, passed to the [LayersController.getPrecomputedAggregates](/js-sdk-api-reference/layers/layerscontroller.md#getprecomputedaggregates) method.

## Properties

### layerId

> **layerId**: `string`

The ID of the layer to calculate an aggregate value for.

***

### gridConfig

> **gridConfig**: [`GridConfig`](/js-sdk-api-reference/layers/gridconfig.md)

The grid configuration to use for the precomputed calculation.

***

### filters?

> `optional` **filters**: [`Filters`](/js-sdk-api-reference/layers/filters.md)

Attribute filters for the features to include when calculating the aggregate value.

***

### boundary?

> `optional` **boundary**: [`GeometryFilter`](/js-sdk-api-reference/layers/geometryfilter.md)

The spatial boundary for the features to include when calculating the aggregate value.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.felt.com/js-sdk-api-reference/layers/getlayerprecomputedcalculationparams.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
